Skip to main content
POST
/
v1
/
accounts
/
connect
Connecter (ou reconnecter) un compte social
curl --request POST \
  --url https://api.plugkit.co/v1/accounts/connect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profileId": "<string>",
  "externalId": "<string>",
  "username": "@acme",
  "displayName": "Acme",
  "accessToken": "<string>",
  "metadata": {}
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
platform
enum<string>
required
Available options:
INSTAGRAM,
WHATSAPP
profileId
string
required

Profil auquel rattacher le compte

externalId
string
required

ID du compte côté plateforme (IG business account id / WA phone number id)

username
string
required
Example:

"@acme"

displayName
string
Example:

"Acme"

accessToken
string

Token plateforme (long IG / système WA)

metadata
object

Response

201 - undefined